Changeset 2619 in /cluster/svnroot


Ignore:
Timestamp:
Sep 9, 2010 5:32:59 PM (10 years ago)
Author:
fitz
Message:

merging from trunk

Location:
bccd-ng/branches/fitz-devel
Files:
5 deleted
6 edited
10 copied

Legend:

Unmodified
Added
Removed
  • bccd-ng/branches/fitz-devel/bin/auto_build_wrapper.sh

    r2399 r2619  
    1 #!/bin/bash
     1#!/bin/bash -x
    22
    33if [ -z "$1" ]; then
     
    8989fi
    9090
    91 CMD="./$BLDCD --arch i386 --suite lenny --outiso ${TEMPISO} --updatedb $DBUSER"
     91CMD="./$BLDCD --arch i386 --suite lenny --outiso ${TEMPISO} --updatedb $DBUSER" 
    9292$CMD
    9393RC=$?
     
    139139fi
    140140
    141 /bin/sed -i -e 's/bccd_latest.iso.[[:alpha:]][[:alpha:]]*/bccd_latest.iso/g' ${OUTISO}.md5
    142 #CMD="$CMD {OUTISO}.md5"
     141/bin/sed -i -e 's/bccd_latest.iso.*/bccd_latest.iso/g' ${OUTISO}.md5
     142CMD="/bin/chmod 644 ${OUTISO}.md5"
    143143$CMD
    144 #RC=$?
    145 #if [ "$RC" -ne "0" ]; then
    146 #        echo "$CMD died on $RC"
    147 #        exit $RC
    148 #fi
     144RC=$?
     145if [ "$RC" -ne "0" ]; then
     146        echo "$CMD died on $RC"
     147        exit $RC
     148fi
    149149
    150150popd
  • bccd-ng/branches/fitz-devel/bin/build_livecd.pl

    r2524 r2619  
    11#!/usr/bin/perl
     2
     3#BCCD ISO build script
    24
    35use strict;
    46use warnings;
     7use lib "../trees/usr/local/lib/site_perl/5.10.0";
    58use Getopt::Long;
    69use Pod::Usage;
     
    4245
    4346if($opts{'help'}) {
    44     pod2usage(1);
     47    pod2usage(-verbose => 2);
    4548}
    4649
     
    4952   !$opts{'suite'}
    5053    ) {
    51     pod2usage(2);
     54    pod2usage(-verbose => 2);
    5255}
    5356
     
    9194Readonly my $LIBFETCH   => "/root/liberate";
    9295$ENV{'DEBIAN_FRONTEND'} = "noninteractive";
    93 Readonly my $PACKAGES   => "screen openssh-client openssh-server less make gcc-4.2 g++-4.2 flex bison gdb alien lsb-rpm bzip2 sudo yum debootstrap rsync dhcp3-server tcpdump syslinux syslinux-common subversion nfs-common nfs-kernel-server ncurses-base ncurses-bin libncurses5 libncurses5-dev psmisc vim iproute pciutils host bc ntp ntpdate debconf-utils dhcpcd xbase-clients libxt-dev lesstif2 lesstif2-dev ipcalc dialog lvm2 grub parted tzdata xserver-xorg-video-fbdev xfonts-100dpi xfonts-75dpi xfonts-scalable xserver-xorg-video-all fontconfig xfonts-base gpm udev vtwm aterm rxvt xbase-clients menu bbkeys libwww-mechanize-perl postgresql-client-common postgresql-client-8.3 libdbi-perl libdbd-pg-perl strace tcsh libnet-dhcp-perl libnetaddr-ip-perl libnet-ip-perl libstdc++5 pdnsd csh libterm-readkey-perl libsvn-perl libui-dialog-perl libreadonly-perl sshfs autofs libnet-dhcp-perl dnsutils libfile-touch-perl libnet-cidr-perl arping dosfstools gawk dc glutg3-dev libxi-dev wireless-tools snmp snmpd netpbm imagemagick libyaml-perl tcl8.4 libc6-i386";
     96Readonly my $PACKAGES   => "screen openssh-client openssh-server less make gcc-4.2 g++-4.2 flex bison gdb alien lsb-rpm bzip2 sudo yum debootstrap rsync dhcp3-server tcpdump syslinux syslinux-common subversion nfs-common nfs-kernel-server ncurses-base ncurses-bin libncurses5 libncurses5-dev psmisc vim iproute pciutils host bc ntp ntpdate debconf-utils dhcpcd xbase-clients libxt-dev lesstif2 lesstif2-dev ipcalc dialog lvm2 grub parted tzdata xserver-xorg-video-fbdev xfonts-100dpi xfonts-75dpi xfonts-scalable xserver-xorg-video-all fontconfig xfonts-base gpm udev vtwm aterm rxvt xbase-clients menu bbkeys libwww-mechanize-perl postgresql-client-common postgresql-client-8.3 libdbi-perl libdbd-pg-perl strace tcsh libnet-dhcp-perl libnetaddr-ip-perl libnet-ip-perl libstdc++5 pdnsd csh libterm-readkey-perl libsvn-perl libui-dialog-perl libreadonly-perl sshfs autofs libnet-dhcp-perl dnsutils libfile-touch-perl libnet-cidr-perl arping dosfstools gawk dc glutg3-dev libxi-dev wireless-tools snmp snmpd netpbm imagemagick libyaml-perl tcl8.4 libc6-i386 initramfs-tools xvfb libmime-lite-perl exim4";
    9497Readonly my $EXTRA_PACKAGES => "fftw2 fftw-dev sfftw-dev sfftw2 automake1.7 console-tools libreadline5-dev hal libxmu-headers libxmu-dev gfortran ethtool libssl0.9.8 libblas-dev libblas-dev atlas3-base atlas3-base-dev atlas3-base refblas3 lapack3 atlas3-test libg2c0-dev libg2c0 apache2 iceweasel xpdf octave3.0 ruby sl robotfindskitten pvm xpvm emacs grac blender automake1.9 libtool libglu1-mesa-dev minicom lcd4linux insight joe grace libxpm-dev telnet lsof xresprobe fbset fluxbox xgalaga zenmap nedit eterm manpages-dev";
     98
    9599Readonly my $AMD64_PACKAGES => "libc6-dev-i386 ia32-libs";
    96100Readonly my $BAD_PACKAGES   => ""; # Packages that throw some fatal error during install but still work
     
    285289          "lam.conf", "init.d/bccd-nfs", "init.d/bccd-unite-sw", "init.d/bccd-nics",
    286290          "init.d/bccd-dhcp-conf", "init.d/bccd-route", "init.d/bccd-keyboard", "rc.local",
    287           "init.d/bccd-fsrw", "auto.master", "auto.sshfs", "ld.so.conf.d/CUDA.conf" ) {
     291          "init.d/bccd-fsrw", "init.d/bccd-mail", "auto.master", "auto.sshfs", "ld.so.conf.d/CUDA.conf" ) {
    288292    $Bccd->run_test(
    289293        "revfetch",
     
    305309
    306310foreach my $file ( "bccd-networking", "bccd-passwd", "bccd-dhcp", "bccd-sshd", "bccd-nfs", "bccd-unite-sw",
    307           "bccd-nics", "bccd-dhcp-conf", "bccd-route", "bccd-keyboard", "bccd-fsrw" ) {
     311          "bccd-nics", "bccd-dhcp-conf", "bccd-route", "bccd-keyboard", "bccd-fsrw", "bccd-mail" ) {
    308312    $Bccd->run_test(
    309313        "chmod",
     
    627631    );
    628632
     633<<<<<<< .working
     634=======
     635if( ! -f "$BUILDDIR/usr/bin/python2" ) {
     636    $Bccd->run_test(
     637        "system",
     638        "",
     639        "Linked python->python2 for C3 tools.",
     640        "/usr/sbin/chroot $BUILDDIR ln -s /usr/bin/python2.5 /usr/bin/python2",
     641        );
     642}
     643
     644>>>>>>> .merge-right.r2618
     645$Bccd->run_test(
     646    "system",
     647    "",
     648    "Linked VBoxService into /usr/sbin.",
     649    "/usr/sbin/chroot $BUILDDIR ln -s /opt/VBoxGuestAdditions-3.2.8/sbin/VBoxService /usr/sbin/VBoxService",
     650    );
     651
     652foreach my $vb ("VBoxClient","VBoxControl") {
     653    $Bccd->run_test(
     654        "system",
     655        "",
     656        "Linked $vb into /usr/bin.",
     657        "/usr/sbin/chroot $BUILDDIR ln -s /opt/VBoxGuestAdditions-3.2.8/bin/$vb /usr/bin/$vb",
     658        );
     659}
     660
    629661$Bccd->run_test(
    630662    "fcopy",
     
    679711    );
    680712
    681 foreach my $script ( "nis", "ssh-host-keys", "nfs-kernel-server", "ssh", "dhcp3-server", "dbus", "hal", "apache2" ) {
     713foreach my $script ("nis", "ssh-host-keys", "nfs-kernel-server", "ssh",
     714                    "dhcp3-server", "dbus", "hal", "apache2",) {
    682715    $Bccd->run_test(
    683716        "system",
     
    688721}
    689722
    690 foreach my $script ( "bccd-passwd","bccd-sshd", "bccd-nfs", "nfs-common", "vboxadd-service", "mpd" ) {
     723foreach my $script ("bccd-passwd","bccd-sshd", "bccd-nfs", "bccd-mail", "nfs-common", "vboxadd-service", "mpd", ) {
    691724    $Bccd->run_test(
    692725        "system",
     
    698731
    699732# This must run before 20 (bccd-passwd) and autofs
    700 foreach my $script ( "bccd-keyboard", "bccd-unite-sw", "perfctr", ) {
     733foreach my $script ("bccd-unite-sw", "perfctr",) {
    701734    $Bccd->run_test(
    702735        "system",
     
    707740}
    708741
     742<<<<<<< .working
    709743# pbs init script needs to happen after bccd-networking (42)
     744=======
     745# Based on virtualbox install script
     746foreach my $script ("vboxadd","vboxadd-x11",) {
     747    $Bccd->run_test(
     748        "system",
     749        "",
     750        "Enabling $script config.",
     751        "/usr/sbin/chroot $BUILDDIR /usr/sbin/update-rc.d $script defaults 30",
     752        );
     753}
     754
     755>>>>>>> .merge-right.r2618
     756$Bccd->run_test(
     757    "system",
     758    "",
     759    "Enabling vboxadd-service config.",
     760    "/usr/sbin/chroot $BUILDDIR /usr/sbin/update-rc.d vboxadd-service defaults 35",
     761    );
     762
    710763$Bccd->run_test(
    711764        "system",
     
    803856    "system",
    804857    "",
    805     "Created non-root user account.","/usr/sbin/chroot $BUILDDIR /usr/sbin/useradd -s /bin/bash -G fuse,adm -u 1000 -g 1000 -d /home/$USER -m -p '\$1\$Agm0SXPB\$JnObEvwBQdg4WCovvMKST1' $USER",
     858    "Created non-root user account.",
     859    "/usr/sbin/chroot $BUILDDIR /usr/sbin/useradd -s /bin/bash -G fuse,adm -u 1000 -g 1000 -d /home/$USER -m -p '\$1\$Agm0SXPB\$JnObEvwBQdg4WCovvMKST1' $USER",
     860    );
     861
     862$Bccd->run_test(
     863    "system",
     864    "",
     865    "Created vbox user account.",
     866    "/usr/sbin/chroot $BUILDDIR /usr/sbin/useradd -s /bin/sh -G daemon -d /var/run/vboxadd vboxadd",
    806867    );
    807868
     
    13741435
    13751436This script is based on KNOPPIX project documentation for creating a
     1437                #Test for running system commands
    13761438Debian-based Live CD using cloop.
    13771439
  • bccd-ng/branches/fitz-devel/trees/KNOPPIX/boot/isolinux/minirt/linuxrc

    r2387 r2619  
    705705 if [ -z "$COPY_COMMAND" -a -x /usr/bin/rsync ]; then
    706706  # first cp the small files
    707   /usr/bin/rsync -a --exclude="$KNOPPIX_DIR/$KNOPPIX_NAME*" $COPY $TARGET # Copy Knoppix to $TARGET
     707  /lib/ld-2.7.so /KNOPPIX/usr/bin/rsync -a --exclude="$KNOPPIX_DIR/$KNOPPIX_NAME*" $COPY $TARGET # Copy Knoppix to $TARGET
    708708  # then the big files with nice progress meter
    709   /usr/bin/rsync -a --progress --include="$KNOPPIX_DIR/$KNOPPIX_NAME*" --include="$KNOPPIX_DIR/" --exclude="*" $COPY $TARGET
     709  /lib/ld-2.7.so /KNOPPIX/usr/bin/rsync -a --progress --include="$KNOPPIX_DIR/$KNOPPIX_NAME*" --include="$KNOPPIX_DIR/" --exclude="*" $COPY $TARGET
    710710 else
    711711  "$COPY_COMMAND" $COPY $TARGET
  • bccd-ng/branches/fitz-devel/trees/bin/bccd-syncdir

    r2287 r2619  
    7777sleep 2
    7878) |
     79if test ! $NI; then
    7980dialog --gauge "Syncing directory $DIRECTORY across hosts in $MACHINEFILE.  Target directory: $COMMONDIR" 6 60 0
     81fi
    8082
    8183pushd $PWD
  • bccd-ng/branches/fitz-devel/trees/etc/init.d/vboxadd-service

    r2075 r2619  
    44# Linux Additions Guest Additions service daemon init script.
    55#
    6 # Copyright (C) 2006-2009 Sun Microsystems, Inc.
     6# Copyright (C) 2006-2009 Oracle Corporation
    77#
    88# This file is part of VirtualBox Open Source Edition (OSE), as
     
    1313# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
    1414# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
    15 #
    16 # Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa
    17 # Clara, CA 95054 USA or visit http://www.sun.com if you need
    18 # additional information or have any questions.
    1915#
    2016
     
    237233fi
    238234
    239 binary=/usr/sbin/vboxadd-service
    240 
    241 test -x "$binary" || {
    242     echo "Cannot run $binary"
    243     exit 1
     235binary=/usr/sbin/VBoxService
     236
     237testbinary() {
     238    test -x "$binary" || {
     239        echo "Cannot run $binary"
     240        exit 1
     241    }
    244242}
    245243
    246244vboxaddrunning() {
    247     lsmod | grep -q "vboxadd[^_-]"
     245    lsmod | grep -q "vboxguest[^_-]"
    248246}
    249247
     
    255253            exit 1
    256254        }
    257         daemon $binary
     255        testbinary
     256        daemon $binary > /dev/null
    258257        RETVAL=$?
    259         test $RETVAL -eq 0 && echo `pidof vboxadd-service` > $PIDFILE
     258        test $RETVAL -eq 0 && echo `pidof VBoxService` > $PIDFILE
    260259        succ_msg
    261260    fi
     
    283282
    284283    status() {
    285         echo -n "Checking for vboxadd-service"
     284        echo -n "Checking for VBoxService"
    286285        if [ -f $PIDFILE ]; then
    287286            echo " ...running"
     
    304303    status
    305304    ;;
     305setup)
     306    ;;
     307cleanup)
     308    ;;
    306309*)
    307310    echo "Usage: $0 {start|stop|restart|status}"
  • bccd-ng/branches/fitz-devel/trees/usr/local/etc/modules/R/2.6.2

    r1698 r2619  
    22
    33prereq          modules
    4 prereq          lam
     4#prereq         lam
    55set             MOD_R              $env(BCCD_SW)/R
    66set      MOD_R_VERSION      2.6.2
Note: See TracChangeset for help on using the changeset viewer.